Lucene search
+L

367 matches found

Tenable Nessus
Tenable Nessus
•added 2026/10/03 12:00 a.m.•11 views

Linux Distros Unpatched Vulnerability : CVE-2026-71891

The Linux/Unix host has one or more packages installed that are impacted by a vulnerability without a vendor supplied patch available. - In Bouncy Castle for Java before 1.86, BLS12381BasicScheme.keyValidate, and so BLSPublicKeyParameters and every BasicScheme, MessageAugmentation and...

7.1CVSS5.9AI score0.00174EPSS
SaveExploits0References3
Tenable Nessus
Tenable Nessus
•added 2026/10/03 12:00 a.m.•14 views

Linux Distros Unpatched Vulnerability : CVE-2026-71892

The Linux/Unix host has one or more packages installed that are impacted by a vulnerability without a vendor supplied patch available. - In Bouncy Castle for Java before 1.86, the opt-in key-size validation on CMS key-transport recipients,...

6.9CVSS5.9AI score0.00173EPSS
SaveExploits0References3
Positive Technologies
Positive Technologies
•added 2026/10/03 12:00 a.m.•12 views

PT-2026-104567

Name of the Vulnerable Software and Affected Versions Bouncy Castle for Java versions prior to 1.86 Description The Messaging Layer Security MLS, RFC 9420 implementation fails to bind an X.509 credential to a LeafNode signature key. The LeafNode.verify function validates a leaf signature against...

9.2CVSS5.8AI score0.00188EPSS
SaveExploits0References11
Rapid7 Vulnerability Database (full)
Rapid7 Vulnerability Database (full)
•added 2026/10/03 12:00 a.m.•11 views

CVE-2026-71883: Exposure of Sensitive Information to an Unauthorized Actor

In Bouncy Castle for Java LTS before 2.73.13, the one-shot native packet ciphers for AES-CBC, CCM, CFB, CTR, GCM and GCM-SIV released the caller's key, IV and additional authenticated data arrays with JNI's ReleaseByteArrayElements in mode 0, which commits the native copy back into the Java array...

8.2CVSS6.1AI score0.00253EPSS
SaveExploits0References2
Positive Technologies
Positive Technologies
•added 2026/10/03 12:00 a.m.•12 views

PT-2026-104559

Name of the Vulnerable Software and Affected Versions Bouncy Castle for Java LTS versions prior to 2.73.13 Description One-shot native packet ciphers for AES-CBC, CCM, CFB, CTR, GCM, and GCM-SIV incorrectly use JNI's ReleaseByteArrayElements in mode 0 when releasing the caller's key, IV, and...

8.2CVSS5.8AI score0.00253EPSS
SaveExploits0References5
Positive Technologies
Positive Technologies
•added 2026/10/03 12:00 a.m.•11 views

PT-2026-104563

In Bouncy Castle for Java before 1.86, the opt-in key-size validation on CMS key-transport recipients, org.bouncycastle.cms.jcajce.JceKeyTransRecipient.setKeySizeValidationtrue, never ran for a message using RFC 9709 content-encryption key derivation id-alg-cek-hkdf-sha256. The branch that should...

6.9CVSS5.8AI score0.00173EPSS
SaveExploits0References3
Positive Technologies
Positive Technologies
•added 2026/10/03 12:00 a.m.•11 views

PT-2026-104568

Name of the Vulnerable Software and Affected Versions Bouncy Castle for Java versions prior to 1.86 Description The high-level OpenPGP certificate API fails to verify if a component key of an issuing certificate has the required authority to certify when processing third-party certifications or...

8.2CVSS5.7AI score0.00167EPSS
SaveExploits0References6
Tenable Nessus
Tenable Nessus
•added 2026/10/03 12:00 a.m.•11 views

Linux Distros Unpatched Vulnerability : CVE-2026-18040

The Linux/Unix host has one or more packages installed that are impacted by a vulnerability without a vendor supplied patch available. - In Bouncy Castle for Java before 1.86, HQC leaked secret-derived data through two side channels: its GF2^8 arithmetic used lookup tables indexed by field...

5.9CVSS5.9AI score0.00107EPSS
SaveExploits0References3
Tenable Nessus
Tenable Nessus
•added 2026/10/03 12:00 a.m.•16 views

Linux Distros Unpatched Vulnerability : CVE-2026-85515

The Linux/Unix host has one or more packages installed that are impacted by a vulnerability without a vendor supplied patch available. - In Bouncy Castle for Java before 1.86, a truncated OpenPGP encrypted message was accepted with no error reported, and on the SEIPD version 1 path with no...

8.2CVSS5.9AI score0.00157EPSS
SaveExploits0References3
Tenable Nessus
Tenable Nessus
•added 2026/10/03 12:00 a.m.•8 views

Linux Distros Unpatched Vulnerability : CVE-2026-17508

"The Linux/Unix host has one or more packages installed that are impacted by a vulnerability without a vendor supplied patch available. - In Bouncy Castle for Java before 1.86, several password-based key derivation entry points ran the KDF with cost parameters taken from the untrusted input being...

5.3CVSS6AI score0.00436EPSS
SaveExploits0References3
Tenable Nessus
Tenable Nessus
•added 2026/10/03 12:00 a.m.•13 views

Linux Distros Unpatched Vulnerability : CVE-2026-18036

The Linux/Unix host has one or more packages installed that are impacted by a vulnerability without a vendor supplied patch available. - In Bouncy Castle for Java before 1.86, NTRU reduced secret values with the % operator in three helpers whose reference implementations are deliberately...

8.2CVSS5.9AI score0.00282EPSS
SaveExploits0References3
Rapid7 Vulnerability Database (full)
Rapid7 Vulnerability Database (full)
•added 2026/10/03 12:00 a.m.•10 views

CVE-2026-71892: Incorrect Comparison

In Bouncy Castle for Java before 1.86, the opt-in key-size validation on CMS key-transport recipients, org.bouncycastle.cms.jcajce.JceKeyTransRecipient.setKeySizeValidationtrue, never ran for a message using RFC 9709 content-encryption key derivation id-alg-cek-hkdf-sha256. The branch that should...

6.9CVSS5.8AI score0.00173EPSS
SaveExploits0References2
Rapid7 Vulnerability Database (full)
Rapid7 Vulnerability Database (full)
•added 2026/10/03 12:00 a.m.•7 views

CVE-2026-85515: Improper Validation of Integrity Check Value

In Bouncy Castle for Java before 1.86, a truncated OpenPGP encrypted message was accepted with no error reported, and on the SEIPD version 1 path with no integrity check performed at all. RFC 9580 sec. 13.7 permits an implementation to release the cleartext of the fully authenticated chunks when...

8.2CVSS5.9AI score0.00157EPSS
SaveExploits0References3
Positive Technologies
Positive Technologies
•added 2026/10/03 12:00 a.m.•13 views

PT-2026-104570

Name of the Vulnerable Software and Affected Versions Bouncy Castle for Java versions prior to 1.86 Description An issue exists in the BLS12 381BasicScheme.keyValidate function, affecting BLSPublicKeyParameters and the verify and aggregateVerify methods of BasicScheme, MessageAugmentation, and...

7.1CVSS5.8AI score0.00174EPSS
SaveExploits0References6
Tenable Nessus
Tenable Nessus
•added 2026/10/03 12:00 a.m.•12 views

Linux Distros Unpatched Vulnerability : CVE-2026-71886

The Linux/Unix host has one or more packages installed that are impacted by a vulnerability without a vendor supplied patch available. - In Bouncy Castle for Java before 1.86, the high-level OpenPGP certificate API accepted a third-party certification or trust delegation from any component key of...

8.2CVSS5.7AI score0.00167EPSS
SaveExploits0References3
Tenable Nessus
Tenable Nessus
•added 2026/10/03 12:00 a.m.•13 views

Linux Distros Unpatched Vulnerability : CVE-2026-17507

The Linux/Unix host has one or more packages installed that are impacted by a vulnerability without a vendor supplied patch available. - In Bouncy Castle for Java before 1.86, the MLS implementation org.bouncycastle.mls holds RFC 9420's uint32 leafindex in a signed int, so a wire value with the t...

8.7CVSS5.8AI score0.00324EPSS
SaveExploits0References3
Tenable Nessus
Tenable Nessus
•added 2026/10/03 12:00 a.m.•11 views

Linux Distros Unpatched Vulnerability : CVE-2026-71887

The Linux/Unix host has one or more packages installed that are impacted by a vulnerability without a vendor supplied patch available. - In Bouncy Castle for Java before 1.86, the high-level OpenPGP API accepted a data signature made by a signing subkey whose Subkey Binding signature carried no...

8.2CVSS5.8AI score0.0009EPSS
SaveExploits0References3
Tenable Nessus
Tenable Nessus
•added 2026/10/03 12:00 a.m.•14 views

Linux Distros Unpatched Vulnerability : CVE-2026-71889

The Linux/Unix host has one or more packages installed that are impacted by a vulnerability without a vendor supplied patch available. - In Bouncy Castle for Java before 1.86, neither copy of PKIXCertPathReviewer - org.bouncycastle.pkix.jcajce.PKIXCertPathReviewer nor the legacy...

8.7CVSS5.8AI score0.00167EPSS
SaveExploits0References3
Positive Technologies
Positive Technologies
•added 2026/10/03 12:00 a.m.•13 views

PT-2026-104561

In Bouncy Castle for Java before 1.86, the streaming CMS AuthenticatedData parser accepted a message whose digestAlgorithm and authAttrs fields disagreed about whether authenticated attributes were present. RFC 5652 sec. 9.1 pairs the two, requiring that authAttrs be present whenever...

8.7CVSS5.8AI score0.00112EPSS
SaveExploits0References3
Tenable Nessus
Tenable Nessus
•added 2026/10/03 12:00 a.m.•12 views

Linux Distros Unpatched Vulnerability : CVE-2026-71890

The Linux/Unix host has one or more packages installed that are impacted by a vulnerability without a vendor supplied patch available. - In Bouncy Castle for Java before 1.86, validation of an MLS RFC 9420 external commit's proposal list,...

8.7CVSS5.8AI score0.00249EPSS
SaveExploits0References3
Rows per page
Query Builder